ReadArchive "statics.vib"

Declare blurred_metal = Shader [ PlainSurface [
  Color '.95,.95,1'
  Kd 0.125
  Ks 0.2
  Kr (0.6,0.22)
  ReitzSpecularBRDF 11
  MetalAttribute 1.1
  Kb 1.12
 ]
]

Declare blurred_glass = Shader [ FunctionalSurface [
  Ka 0.025
  Kd 0.05
  Ks 0.3
  Kt((0.99*|N.I|<0.1?0.1 : 0.99*|N.I|), 1.43, '.993529, .992549, .993529', 0.21)
  Kr 0.075
  GaussianSpecularBRDF 10
  Caustics 0.1
 ]
]

Declare Ground = Shader [ FunctionalSurface [
  Color PlanarImageMapping(ImageFile("mandelmap.png", NORMALIZED), (u/50, 0, v/50), 0)
  NormalModifier PlanarBumpMapping(ImageFile("mandelbrot.tga", NORMALIZED), (u/50, 0, v/50), -2)
  Kd 0.8
  Ks 0.25
  BlinnSpecularBRDF 10
 ]
]
