ReadArchive "statics.vib"

Declare Met = Shader [ PlainSurface [
  Color '.95,.95,1'
  Kd 0.8
  Ks 0.2
  Kr 0.1
  Kb 1.2
  MetalAttribute 1.2
  ReitzSpecularBRDF 18
 ]
]

Declare veins = SpectrumOfColors(
	 [0.000, '0.898, 0.898, 0.851', 0.212, '0.969, 0.980, 0.875']
	 [0.212, '0.969, 0.980, 0.875', 0.424, '0.859, 0.859, 0.859']
	 [0.424, '0.859, 0.859, 0.859', 0.627, '0.992, 0.922, 0.659']
	 [0.627, '0.992, 0.922, 0.659', 0.881, '0.937, 0.965, 0.902']
	 [0.881, '0.937, 0.965, 0.902', 1.01,  '0.898, 0.898, 0.851'])

Declare veins_pattern = Shader [
 FunctionalSurface [ Kd 0.85 Color veins[Agate] ]
]

static D = 0.3 * scnoise(Po,4)

static displace_test1 = ((v > 0.1 && v < 0.2) ||
                         (v > 0.3 && v < 0.4) ||
                         (v > 0.5 && v < 0.6) ||
                         (v > 0.7 && v < 0.8) ||
                         (v > 0.9 && v < 1.0) ||
                         (u > 0.0 && u < 0.05) ||
                         (u > 0.25 && u < 0.3) ||
                         (u > 0.5 && u < 0.55) ||
                         (u > 0.75 && u < 0.8)
                         ? D : 0.0)

static displace_test2 = (((u > 0.0  && u < 0.05 && v > 0.45 && v < 0.55) ||
                          (u > 0.25 && u < 0.3  && v > 0.45 && v < 0.55) ||
                          (u > 0.5  && u < 0.55 && v > 0.45 && v < 0.55) ||
                          (u > 0.75 && u < 0.8  && v > 0.45 && v < 0.55) ||
                          (v > 0.95)) ? D*2.0 :
                          (((u > 0.125 && u < 0.175) ||
                          (u > 0.375 && u < 0.425) ||
                          (u > 0.625 && u < 0.675) ||
                          (u > 0.875 && u < 0.925))
                          ? D : 0.0))
